API Keys

List API keys

List all API keys for the authenticated organization. Requires organization-level authentication (JWT Bearer token). API keys are not supported for this endpoint.

AuthBearer (JWT)
GroupAPI Keys
Rate limitSee Rate Limits
GET/api/api-keys

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, APIKeysApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const apikeys = new APIKeysApi(configuration);
import { Configuration, APIKeysApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const apikeys = new APIKeysApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await apikeys.listApiKeys();
const { data: result } = await apikeys.listApiKeys();

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Responses

200API keys list
json
{
  "apiKeys": [
    {
      "_id": "685ae8a785426b6a4190d5fc",
      "name": "Production API Key",
      "project": {
        "_id": "685ad30be129932fbb7a1047",
        "name": "Mudbase Platform",
        "slug": "mudbase-platform"
      },
      "permissions": [
        {
          "resource": "database",
          "actions": [
            "create",
            "read",
            "update",
            "delete"
          ]
        },
        {
          "resource": "storage",
          "actions": [
            "read"
          ]
        }
      ],
      "isActive": true,
      "createdAt": "2024-01-15T10:00:00.000Z"
    },
    {
      "_id": "685ae8a785426b6a4190d5fd",
      "name": "Development API Key",
      "project": {
        "_id": "685ad30be129932fbb7a1048",
        "name": "E-commerce API",
        "slug": "ecommerce-api"
      },
      "permissions": [
        {
          "resource": "database",
          "actions": [
            "read"
          ]
        }
      ],
      "isActive": true,
      "createdAt": "2024-01-16T14:30:00.000Z"
    }
  ],
  "total": 2
}
{
  "apiKeys": [
    {
      "_id": "685ae8a785426b6a4190d5fc",
      "name": "Production API Key",
      "project": {
        "_id": "685ad30be129932fbb7a1047",
        "name": "Mudbase Platform",
        "slug": "mudbase-platform"
      },
      "permissions": [
        {
          "resource": "database",
          "actions": [
            "create",
            "read",
            "update",
            "delete"
          ]
        },
        {
          "resource": "storage",
          "actions": [
            "read"
          ]
        }
      ],
      "isActive": true,
      "createdAt": "2024-01-15T10:00:00.000Z"
    },
    {
      "_id": "685ae8a785426b6a4190d5fd",
      "name": "Development API Key",
      "project": {
        "_id": "685ad30be129932fbb7a1048",
        "name": "E-commerce API",
        "slug": "ecommerce-api"
      },
      "permissions": [
        {
          "resource": "database",
          "actions": [
            "read"
          ]
        }
      ],
      "isActive": true,
      "createdAt": "2024-01-16T14:30:00.000Z"
    }
  ],
  "total": 2
}
Edit this page on GitHub